org.eclipse.net4j.util.security

## Interface IPasswordCredentialsUpdateProvider

- All Known Implementing Classes:
    InteractiveCredentialsProvider

      public interface IPasswordCredentialsUpdateProvider

  Interface for providers of password credentials updates.
  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPasswordCredentialsUpdate` | `getCredentialsUpdate(java.lang.String userID, CredentialsUpdateOperation operation)`
    `IPasswordCredentialsUpdate` | `getCredentialsUpdate(java.lang.String realm, java.lang.String userID, CredentialsUpdateOperation operation)`

- - ### Method Detail

    - #### getCredentialsUpdate

          IPasswordCredentialsUpdate getCredentialsUpdate(java.lang.String userID,
                                                          CredentialsUpdateOperation operation)

    - #### getCredentialsUpdate

          IPasswordCredentialsUpdate getCredentialsUpdate(java.lang.String realm,
                                                          java.lang.String userID,
                                                          CredentialsUpdateOperation operation)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html